#
# spec file for package libmemcache
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define library_name libmemcache0
Name:           libmemcache
Version:        1.4.0.rc2
Release:        159.1
Summary:        A client library for memcached
License:        BSD-3-Clause and MIT
Group:          Development/Libraries/C and C++
Url:            http://people.freebsd.org/~seanc/libmemcache/
Source:         http://people.freebsd.org/~seanc/libmemcache/%{name}/%{name}-%{version}.tar.bz2
Patch0:         libmemcache-1.4.0.rc2_gnusource.patch
Patch1:         libmemcache-1.4.0.rc2_gcc43_inline.patch
Patch2:         libmemcache-1.4.0.rc2_preserve_cflags.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libmemcache implements a client for the superior memcached from Danga
Interactive.


%package -n %{library_name}
Summary:        A client library for memcached
Group:          Development/Libraries/C and C++

%description -n libmemcache0
libmemcache implements a client for the superior memcached from Danga
Interactive.

This package holds the shared libraries from libmemcache.

%package devel
Summary:        Development files for libmemcache
Group:          Development/Libraries/C and C++
Requires:       %{library_name} = %{version}

%description devel
libmemcache implements a client for the superior memcached from Danga
Interactive.

This package contains the development files for libmemcache.

%prep
%setup -q
%patch0
%patch1
%patch2
touch NEWS README AUTHORS

%build
autoreconf -fiv
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags} STRIP=true
rm %{buildroot}%{_libdir}/%{name}.*a

%post   -n %{library_name} -p /sbin/ldconfig

%postun -n %{library_name} -p /sbin/ldconfig

%files -n %{library_name}
%defattr(-,root,root)
%{_libdir}/%{name}.so.*
%doc COPYING ChangeLog

%files devel
%defattr(-,root,root)
%{_libdir}/%{name}.so
%{_includedir}/memcache*

%changelog
* Thu Jul 30 2015 mpluskal@suse.com
- Use explicit dependencies for autoconf/make
- Cleanup spec file with spec-cleaner
* Thu Feb 28 2013 coolo@suse.com
- update license to new format
* Tue Jan 31 2012 jengelh@medozas.de
- Remove redundant tags/sections per specfile guideline suggestions
- Parallel building using %%_smp_mflags
* Sat Nov 19 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Sun Dec 20 2009 jengelh@medozas.de
- enable parallel build
* Mon Mar  9 2009 mrueckert@suse.de
- use shared library packaging policy
* Fri May 16 2008 mrueckert@suse.de
- added libmemcache-1.4.0.rc2_gcc43_inline.patch:
  the changed inline behavior in gcc 4.3 breaks the lib. remove
  the inline statement for the functions.
- added libmemcache-1.4.0.rc2_preserve_cflags.patch:
  preserve CFLAGS passed from the environment.
- delete static lib and libtoolarchive
* Thu Aug 24 2006 mrueckert@suse.de
- run ldconfig
* Mon Jun 19 2006 mrueckert@suse.de
- update to version 1.4.0rc2:
  o many small changes
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Oct  4 2005 mrueckert@suse.de
- update to version 1.4.0b9
* Wed Sep 14 2005 mrueckert@suse.de
- update to version 1.4.0b5
